Reading some Mail causes seamonkey to freeze or crash

VERIFIED FIXED in M17

Status

SeaMonkey
MailNews: Message Display
P3
major
VERIFIED FIXED
18 years ago
14 years ago

People

(Reporter: Matthew Pocock, Assigned: BenB)

Tracking

({crash})

Trunk
All
Windows NT
crash

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [nsbeta2+])

Attachments

(4 attachments)

(Reporter)

Description

18 years ago
When reading some e-mails, the mailreader barfs & DrWatson is invoked. I don't 
know what is different about those messages, but some messages consistently do 
this.

This is with today's build (2000060820).

Comment 1

18 years ago
Could you please attach some of the mails?

Comment 2

18 years ago
Also, are you using IMAP or POP protocol?  Please attach a protocol log, if 
possible.  

See: http://www.mozilla.org/quality/mailnews/mail-troubleshoot.html

What types of messages are they?  Do they contain web pages?  Do they contain 
attachments?  Are they just plain text messages?

Leave at unconfirmed status until we get some more information.
Keywords: crash
QA Contact: lchiang → pmock

Comment 3

18 years ago
Tested on build build 060814 on Win 98 SE (pop)
I ran across this about 2 weeks ago, and forgot to file a bug (doh!)
When this bug bit me I was in N.P.M.UI
the thread is "skinning delimmma" started 5/26/00 3:17:04 PM
The problem shows up in Ben Goodyear's reply dated 5/28/00 10:42 AM
Ben's reply crashes Mozilla everytime. Checked in NN 4.72 it has no attachments.

Comment 4

18 years ago
thanks.
Status: UNCONFIRMED → NEW
Ever confirmed: true

Comment 5

18 years ago
Confirmed, it crashes on today commercial seamonkey build on all platforms 
reading that specific news message.  I tested on the following builds:
 win32 commercial seamonkey build 2000-060909-m17 installed on PIII win98
 linux commercial seamonkey build 2000-060908-m17 installed on PII RedHat 6.1
 macos commercial seamonkey build 2000-060908-m17 installed on G3/400 OS 9.04

Changing platform to all
Hardware: PC → All

Comment 6

18 years ago
Created attachment 9910 [details]
News message from Ben Goodyear

Comment 7

18 years ago
Fyi
On all of my systems, I freeze reading this news message from Ben Goodyear.

Comment 8

18 years ago
reassign to rhp.
Assignee: putterman → rhp

Comment 9

18 years ago
Can we save that news message as an .eml file (in 4.x) for Rich?

Comment 10

18 years ago
Created attachment 9911 [details]
file saved as text/eml

Comment 11

18 years ago
This seems bad...should investigate.

- rhp
Status: NEW → ASSIGNED
Keywords: nsbeta2
Target Milestone: --- → M17

Comment 12

18 years ago
Ben,
If I throw the second attachment into a mail folder and view it, I get caught 
in an infinite loop in TXTtoHTML. 

Can you look at this.

- rhp
Assignee: rhp → mozilla
Status: ASSIGNED → NEW
(Assignee)

Comment 13

18 years ago
Yes, but I don't run a debug build nor do I know gdb well. Where exactly do you
get the infinite loop?
Status: NEW → ASSIGNED
(Assignee)

Comment 14

18 years ago
Reduced test cases:
Causes the bug:
@bla "b"
Does not cause the bug:
 @bla b
@bla <b>
@bla ""
<@bla> "b"
@bla> "b"
<@bla "b"
(Assignee)

Comment 15

18 years ago
> Causes the bug:

|:bla "b"|

> Does not cause the bug:

 @bla "b"

Found the bug: I assumed that |mynsString.RFindCharInSet(set, -1)| always
returns |kNotFound|, but negative offsets have the special meaning of "all of
the string" and thus it returns a hit, if |mynsString| contains chars in |set|.
Attaching patch.

mscott, can you review, please?

Matthew Pocock, thanks for finding and reporting the bug.
(Assignee)

Comment 16

18 years ago
Created attachment 9934 [details] [diff] [review]
|cd netwerk/streamconv/converters;cvs diff -u mozTXTToHTMLConv.cpp|
(Assignee)

Updated

18 years ago
Summary: Reading some Mail causes seamonkey to crash → Reading some Mail causes seamonkey to freeze
(Assignee)

Updated

18 years ago
Summary: Reading some Mail causes seamonkey to freeze → Reading some Mail causes seamonkey to freeze or crash
(Assignee)

Comment 17

18 years ago
forgot to cc mscott. see above.

> |:bla "b"|

You need to remove the "|" to trigger the bug.
(Assignee)

Comment 18

18 years ago
Patch was bad. Will attach better one.
Whiteboard: Fixed. Waiting for review.
(Assignee)

Comment 19

18 years ago
Created attachment 9960 [details] [diff] [review]
Better patch.

Comment 20

18 years ago
r=mscott

nominating for nsbeta2 so we can check this in. oh someone already did nominate 
it for beta2 =).
(Assignee)

Updated

18 years ago
Whiteboard: Fixed. Waiting for review. → Fixed. Waiting for checkin approval

Comment 21

18 years ago
Putting on [nsbeta2+] radar for beta2 fix. 
Whiteboard: Fixed. Waiting for checkin approval → [nsbeta2+]Fixed. Waiting for checkin approval
(Assignee)

Updated

18 years ago
Whiteboard: [nsbeta2+]Fixed. Waiting for checkin approval → [nsbeta2+]Fixed, r=mscott, a=waterson. Waiting for my checkin account.
(Assignee)

Comment 22

18 years ago
mscott, if you want, you can check it in.

Comment 23

18 years ago
okay i'll check it in.

Comment 24

18 years ago
i checked in the fix for benb.
(Assignee)

Comment 25

18 years ago
tnx.
Status: ASSIGNED → RESOLVED
Last Resolved: 18 years ago
Resolution: --- → FIXED
Whiteboard: [nsbeta2+]Fixed, r=mscott, a=waterson. Waiting for my checkin account. → [nsbeta2+]

Comment 26

18 years ago
Fenella - can you help verify?  Open the newsgroup and read the posting 
mentioned in this bug report's comments by John Dobbins 2000-06-09 14:07.  If no 
crash, then this is fixed/verified.  Thanks.
QA Contact: pmock → fenella

Comment 27

18 years ago
Verified with build 2000071920. No crash when reading Ben's reply.
Status: RESOLVED → VERIFIED
Product: Browser → Seamonkey
You need to log in before you can comment on or make changes to this bug.